# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fleetctl/setup/version'

Gem::Specification.new do |spec|
  spec.name          = "fleetctl-setup"
  spec.version       = Fleetctl::Setup::VERSION
  spec.authors       = ["Ryan Taylor Long"]
  spec.email         = ["ryan@rtlong.com"]
  spec.summary       = %q{Determines the endpoint for a CoreOS node in a cluster running on Amazon Web Services}
  spec.description   = %q{Finds the public IP of a random node on a CodeOS cluster running in AWS, and sets the FLEETCTL_TUNNEL variable to allow dev-ops engineers a simple workflow of controlling CoreOS cluster without delving into the AWS console each time}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rake"
  spec.add_dependency "aws-sdk-core", '~> 2.0.0'
end
